Name:           wicd-kde
Version:        0.2.3
Release:        3%{?dist}
License:        GPLv3+
Source:         http://kde-apps.org/CONTENT/content-files/132366-wicd-kde-0.2.3.tar.gz
Group:          Applications/Internet
Summary:        A Wicd client built on the KDE Development Platform
URL:            https://projects.kde.org/projects/extragear/network/wicd-kde

Requires:       wicd

BuildRequires:  qt4-devel
BuildRequires:  kdelibs4-devel
BuildRequires:  gettext
BuildRequires:  desktop-file-utils
%description
A Wicd client built on the KDE Development Platform.

%prep
%setup -qn %{name}

%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake_kde4} ../
popd
make %{?_smp_mflags} -C %{_target_platform} 

%install
rm -rf ${RPM_BUILD_ROOT}
make install/fast DESTDIR=${RPM_BUILD_ROOT} -C %{_target_platform}

desktop-file-install \
  --add-category="Network" \
  --dir=${RPM_BUILD_ROOT}%{_kde4_datadir}/applications/kde4 \
  ${RPM_BUILD_ROOT}%{_kde4_datadir}/applications/kde4/%{name}.desktop

%find_lang %{name}

cp ${RPM_BUILD_ROOT}%{_kde4_datadir}/applications/kde4/%{name}.desktop \
   ${RPM_BUILD_ROOT}%{_kde4_datadir}/autostart/%{name}.desktop

%clean
rm -rf ${RPM_BUILD_ROOT}

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc ChangeLog COPYING TODO
%config(noreplace) %{_kde4_sysconfdir}/dbus-1/system.d/org.kde.wicdclient.scripts.conf
%{_kde4_bindir}/%{name}
%{_kde4_libdir}/kde4/kcm_wicd.so
%{_kde4_libexecdir}/wicdclient_scripts_helper
%{_kde4_datadir}/applications/kde4/%{name}.desktop
%{_kde4_datadir}/autostart/%{name}.desktop
%{_kde4_datadir}/dbus-1/system-services/org.kde.wicdclient.scripts.service
%{_kde4_appsdir}/%{name}
%{_kde4_datadir}/polkit-1/actions/org.kde.wicdclient.scripts.policy
%{_kde4_datadir}/kde4/services/kcm_wicd.desktop
%{_kde4_datadir}/config.kcfg/wicd-kde.kcfg

%changelog
* Thu Nov 10 2011 Minh Ngo <nlminhtl@gmail.com> 0.2.3-3
- fixing make install command

* Fri Oct 28 2011 Minh Ngo <nlminhtl@gmail.com> 0.2.3-2
- fixing the warning conffile-without-noreplace-flag
- removing kcm_wicd.desktop changes

* Wed Oct 12 2011 Minh Ngo <nlminhtl@gmail.com> 0.2.3-1
- Updating to the new version
- kcm_wicd.desktop fix

* Thu Jun 08 2011 Minh Ngo <nlminhtl@gmail.com> 0.2.2-2
- desktop-file-install for desktop files
- KDE-specific macros
- macro %%make_install fixed

* Tue Jun 07 2011 Minh Ngo <nlminhtl@gmail.com> 0.2.2-1
- initial build 
